#!/usr/bin/env bash

# sudo PERSIST_USR_DATA=true apt remove rtls-addon-raymond-vehicle-attribute
if [ -z "$PERSIST_USR_DATA" ]; then
  echo "Remove User Data"
  USR="$(cat /usr/rtls/database.json |jq ".prod.user" -r)"
  PWD="$(cat /usr/rtls/database.json |jq ".prod.password" -r)"
  DB="$(cat /usr/rtls/database.json |jq ".prod.database" -r)"

  DB_QUERY_DELETE_PROTO="DELETE FROM trackable_templates WHERE uid = 'FlswZcHDEe6dBgHTHyNSMw';"
  mysql -u"${USR}" -p"${PWD}" -D"${DB}" -e "$DB_QUERY_DELETE_PROTO"

  DB_QUERY_MIGRATION1="DELETE FROM migrations WHERE name='/20240130094629-add-trackable-extension-serial-number';"
  mysql -u"${USR}" -p"${PWD}" -D"${DB}" -e "$DB_QUERY_MIGRATION1"

else
  echo "Persist User Data"
fi
